//Craftsmen Zombies
//Made for use by the Craftsmen group

function ServerCmdZMGmini_setOptions(%client, %opts)
{
	%mini = %client.minigame;
	if(%mini.owner == %client)
	{
		%opts = strReplace(%opts, " ", "");
		%mini.ZombiesEnabled = getField(%opts, 0);
		%mini.InfectionEnabled = getField(%opts, 1);
		%mini.Zombies_PlayersRespawn = getField(%opts, 2);
		%mini.Points_PlayerKillZombie = getField(%opts, 3);
		%mini.Points_ZombieKillPlayer = getField(%opts, 4);
		%mini.Zombies_SightRadius = getField(%opts, 5);
		%mini.gameLength = getField(%opts, 6);
		%mini.enablePvP = getField(%opts, 7);
	}
}

AddDamageType("ZombieNormal", 'Zombies <bitmap:Add-Ons/Craftsmen_Zombies/CI_Zombie> %1', 'Zombies <bitmap:Add-Ons/Craftsmen_Zombies/CI_Zombie> %1', 0.25, 1);
AddDamageType("ZombieNormalClient", '<bitmap:Add-Ons/Craftsmen_Zombies/CI_Zombie> %1', 'Zombie %2 <bitmap:Add-Ons/Craftsmen_Zombies/CI_Zombie> %1', 0.25, 1);

datablock ShapeBaseImageData(BlankImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;
	mountPoint = $Headslot;
};

datablock AudioProfile(ZombieAttackSound)
{
   filename = "./ZombieAttack.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(ZombieJumpSound)
{
   filename = "./ZombieJump.wav";
   description = AudioClosest3d;
   preload = true;
};
datablock AudioProfile(ZombiePainSound)
{
   filename = "./ZombiePain.wav";
   description = AudioClose3d;
   preload = true;
};

exec("./package.cs");
exec("./AI.cs");
exec("./types.cs");
exec("./appearance.cs");
exec("./Minigame.cs");