function MinigameSO::CheckForEnd(%this, %type)
{
	if(%type == 1)
	{
		%ni = 0;
		for(%i = 0; %i < %this.numMembers; %i++)
		{
			%ni+= %this.member[%i].infected;
		}
		if(%ni == %this.numMembers)
		{
			%this.schedule(0, bottomPrintAll,"\c0All Players have been infected. Resetting minigame in \c35\c0 seconds...", 5);
			%this.schedule(1000, bottomPrintAll,"\c0All Players have been infected. Resetting minigame in \c34\c0 seconds...", 4);
			%this.schedule(2000, bottomPrintAll,"\c0All Players have been infected. Resetting minigame in \c33\c0 seconds...", 3);
			%this.schedule(3000, bottomPrintAll,"\c0All Players have been infected. Resetting minigame in \c32\c0 seconds...", 2);
			%this.schedule(4000, bottomPrintAll,"\c0All Players have been infected. Resetting minigame in \c31\c0 second...", 2);
			schedule(5000, 0, serverCmdResetMinigame, %this.owner);
		}
	}
	if(%type == 2)
	{
		%no = 0;
		for(%i = 0; %i < %this.numMembers; %i++)
		{
			%no+= %this.member[%i].isOut;
		}
		if(%no == %this.numMembers)
		{
			%this.schedule(0, bottomPrintAll,"\c0All Players have been killed. Resetting minigame in \c35\c0 seconds...", 5);
			%this.schedule(1000, bottomPrintAll,"\c0All Players have been killed. Resetting minigame in \c34\c0 seconds...", 4);
			%this.schedule(2000, bottomPrintAll,"\c0All Players have been killed. Resetting minigame in \c33\c0 seconds...", 3);
			%this.schedule(3000, bottomPrintAll,"\c0All Players have been killed. Resetting minigame in \c32\c0 seconds...", 2);
			%this.schedule(4000, bottomPrintAll,"\c0All Players have been killed. Resetting minigame in \c31\c0 second...", 2);
			schedule(5000, 0, serverCmdResetMinigame, %this.owner);
		}
	}
}

function MinigameSO::ScheduleGameEnd(%this)
{
	cancel(%this.gameEndSched);
	%len = %this.gameLength;
	if(%len $= %len * 1 && %len > 1 && %len < 30)
	{
		%this.gameEndSched = %this.schedule(%len * 60000, SurvivorsWin);
	}
}

function MinigameSO::SurvivorsWin(%this)
{
	cancel(%this.gameEndSched);
	%this.schedule(0, bottomPrintAll,"\c2The Survivors Win! Resetting minigame in \c35\c2 seconds...", 5);
	%this.schedule(1000, bottomPrintAll,"\c2The Survivors Win! Resetting minigame in \c34\c2 seconds...", 4);
	%this.schedule(2000, bottomPrintAll,"\c2The Survivors Win! Resetting minigame in \c33\c2 seconds...", 3);
	%this.schedule(3000, bottomPrintAll,"\c2The Survivors Win! Resetting minigame in \c32\c2 seconds...", 2);
	%this.schedule(4000, bottomPrintAll,"\c2The Survivors Win! Resetting minigame in \c31\c2 second...", 2);
	schedule(5000, 0, serverCmdResetMinigame, %this.owner);
}