exec("./ZombieMinigameGUI.gui");

function toggleZMGW(%val)
{
	if(%val)
	{
		if(ZombieMinigameGUI.isAwake())
		{
			canvas.popDialog(ZombieMinigameGUI);
			sendZMGprefs();
		}
		else
		{
			canvas.pushDialog(ZombieMinigameGUI);
		}
	}
}

function clientCmdSendZMGprefs()
{
	sendZMGprefs();
}

function sendZMGprefs()
{
	echo("Sending Zombie Minigame options to server...");
	//Enabled, infectionOn, respawnOn, pointsPZ, pointsZP, sightRadius, gameLength, enablePVP
	%str = $Pref::Zombies::Enabled TAB $Pref::Zombies::EnableInfection TAB $Pref::Zombies::EnableRespawn TAB $Pref::Zombies::Points_PZ TAB $Pref::Zombies::Points_ZP TAB $Pref::Zombies::SightRadius TAB $Pref::Zombies::GameLength TAB $Pref::Zombies::EnablePVP;
	%str = strReplace(%str, " ", "");
	commandToServer('ZMGmini_setOptions', %str);
}

//Stolen from Randy :D
function AddBind(%division, %name, %command)
{
	for(%i=0; %i<$remapCount; %i++)
	{
		if($remapDivision[%i] $= %division)
		{
			%foundDiv = 1;
			continue;
		}
		if(%foundDiv && $remapDivision[%i] !$= "")
		{
			%position = %i;
			break;
		}
	}
	if(!%foundDiv)
	{
		error("Division not found: " @ %division);
		return;
	}
	if(!%position)
	{
		$remapName[$remapCount] = %name;
		$remapCmd[$remapCount] = %command;
		$remapCount++;
		return;
	}
	for(%i=$remapCount;%i>%position;%i--)
	{
		$remapDivision[%i] = $remapDivision[%i - 1];
		$remapName[%i] = $remapName[%i - 1];
		$remapCmd[%i] = $remapCmd[%i - 1];
	}
	$remapDivision[%position] = "";
	$remapName[%position] = %name;
	$remapCmd[%position] = %command;
	$remapCount++;
}
if(!$addedZMGWTBinds)
{
	AddBind("Gui","Toggle Zombies Window","toggleZMGW");
	$addedZMGWTinds = true;
}

new GuiBitmapButtonCtrl(ZombieMinigameButton)
{
   profile = "BlockButtonProfile";
   horizSizing = "left";
   vertSizing = "top";
   position = "216 404";
   extent = "101 19";
   minExtent = "8 2";
   visible = 1;
   command = "canvas.pushDialog(ZombieMinigameGUI);";
   text = "Zombie Options";
   groupNum = -1;
   buttonType = "PushButton";
   bitmap = "base/client/ui/button1";
   lockAspectRatio = 0;
   alignLeft = 0;
   overflowImage = 0;
   mKeepCached = 0;
   mColor = "255 255 255 255";
};
CMG_Window.add(ZombieMinigameButton);