datablock PlayerData(ZombieStandardArmor : PlayerStandardArmor)
{
	canJet = false;
	brickImage = "";
	isZombie = true;
	rideable = true; //So it shows up on the vehicle list
	jumpSound = ZombieJumpSound;

	normalZombify = true;
	normalAttack = true;
	normalSearch = true;
	damageType = $DamageType::ZombieNormal; //Damage type to inflict damage with
	damageTypeClient = $DamageType::ZombieNormalClient; //Damage type to inflict damage with if zombie is controlled by a human
	damageOtherZombies = false;
	size = "1 1 1"; //Default size of this zombie
	color = "0.15 0.3 0.3 1"; //"Skin" color
	attackPower = 10; //Damage to inflict
	pushStrength = 7; //Strength to push players with
	breakStrength = 10; //Max volume of non-floating bricks this datablock can break
	playable = true; //Allow human players to use this zombie type (only effects spawning)?

	uiName = "Zombie - Standard";
	name = "Standard Zombie";
};

//Uncomment these for 2 more zombies

// datablock PlayerData(ZombieFastArmor : ZombieStandardArmor)
// {
	// playable = true;

	// size = "1 1 1.05";
	// color = "0.15 0.3 0.5 1";

	// maxForwardSpeed = 9;
	// maxForwardCrouchSpeed = 4;
	// maxUnderwaterForwardSpeed = 10;

	// uiName = "Zombie - Fast";
	// name = "Fast Zombie";
// };

// datablock PlayerData(ZombieBossArmor : ZombieStandardArmor)
// {
	// playable = true;

	// size = "1.5 1.5 1.4";
	// color = "0.5 0.5 0.3 1";

	// attackPower = 15;
	// pushStrength = 6;
	// breakStrength = 25;
	// damageOtherZombies = true;

	// maxDamage = 200;
	// maxForwardSpeed = 9;
	// maxForwardCrouchSpeed = 4;
	// maxUnderwaterForwardSpeed = 10;

	// uiName = "Zombie - Boss";
	// name = "Boss Zombie";
// };